"use strict";

const { validateValue } = require("@validatem/core");
const isHomeserverURL = require(".");

console.log(validateValue("https://pixie.town", [ isHomeserverURL() ])); // https://pixie.town

console.log(validateValue("https://pixie.town/_matrix", [ isHomeserverURL() ])); /*
	AggregrateValidationError: One or more validation errors occurred at 'Object.<anonymous>' in is-homeserver-url/example.js, at line 8 (<path>):
	 - Must be a valid Matrix homeserver URL (Must not include a path)
*/
